{% extends "base.html" %}

{% block style %}{% spaceless %}
{% if event_style %}
<style>{{ event_style | safe }}</style>
{% else %}
{{ block.super }}
{% endif %}
{% endspaceless %}{% endblock %}

{% block title %}{{ event.name }}{% endblock %}

{% block script %}{% spaceless %}
{% if event_script %}
<script defer>{{ event_script | safe }}</script>
{% else %}
{{ block.super }}
{% endif %}
{% endspaceless %}{% endblock %}

{% block topbar_title %}
	<a class="navbar-brand" href="{% url 'index' %}">{{ event.name }}</a>
{% endblock %}

{% block topbar_left %}
	<li class="nav-item"><a class="nav-link" href="{% url 'about' %}">About</a></li>
	<li class="nav-item"><a class="nav-link" href="{% url 'rules' %}">Rules</a></li>
	<li class="nav-item"><a class="nav-link" href="{% url 'help' %}">Help</a></li>
{% endblock %}

{% block announcements %}
	{% for announcement in announcements %}
		<div class="alert {{ announcement.type.css_class }}{% if announcement.special %} special{% endif %}" role="alert" data-announcement-id="{{ announcement.id }}">
			<strong>{{ announcement.title|safe }}</strong> {{ announcement.message|safe }}
		</div>
	{% endfor %}
{% endblock %}
